Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query
Interface QueryPackage

All Known Implementing Classes:
  QueryPackageImpl

    public interface QueryPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `QueryFactory`

Nested Class Summary
`static interface` | `QueryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static QueryPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `JAVA_MODEL_QUERY` The meta object id for the '`Java Model Query`' class.
`static int` | `JAVA_MODEL_QUERY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `JAVA_MODEL_QUERY__IMPLEMENTATION_CLASS_NAME` The feature id for the 'Implementation Class Name' attribute.
`static int` | `JAVA_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT` The feature id for the 'Is External Context Dependent' attribute.
`static int` | `JAVA_MODEL_QUERY__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `JAVA_MODEL_QUERY__MODEL_QUERY_SET` The feature id for the 'Model Query Set' container reference.
`static int` | `JAVA_MODEL_QUERY__NAME` The feature id for the 'Name' attribute.
`static int` | `JAVA_MODEL_QUERY__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` | `JAVA_MODEL_QUERY__RETURN_TYPE` The feature id for the 'Return Type' reference.
`static int` | `JAVA_MODEL_QUERY__SCOPE` The feature id for the 'Scope' reference list.
`static int` | `JAVA_MODEL_QUERY__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `JAVA_MODEL_QUERY_FEATURE_COUNT` The number of structural features of the 'Java Model Query' class.
`static int` | `MODEL_QUERY` The meta object id for the '`Model Query`' class.
`static int` | `MODEL_QUERY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT` The feature id for the 'Is External Context Dependent' attribute.
`static int` | `MODEL_QUERY__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `MODEL_QUERY__MODEL_QUERY_SET` The feature id for the 'Model Query Set' container reference.
`static int` | `MODEL_QUERY__NAME` The feature id for the 'Name' attribute.
`static int` | `MODEL_QUERY__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` | `MODEL_QUERY__RETURN_TYPE` The feature id for the 'Return Type' reference.
`static int` | `MODEL_QUERY__SCOPE` The feature id for the 'Scope' reference list.
`static int` | `MODEL_QUERY__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `MODEL_QUERY_FEATURE_COUNT` The number of structural features of the 'Model Query' class.
`static int` | `MODEL_QUERY_PARAMETER` The meta object id for the '`Model Query Parameter`' class.
`static int` | `MODEL_QUERY_PARAMETER__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `MODEL_QUERY_PARAMETER__NAME` The feature id for the 'Name' attribute.
`static int` | `MODEL_QUERY_PARAMETER__TYPE` The feature id for the 'Type' reference.
`static int` | `MODEL_QUERY_PARAMETER__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `MODEL_QUERY_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Model Query Parameter' class.
`static int` | `MODEL_QUERY_SET` The meta object id for the '`Model Query Set`' class.
`static int` | `MODEL_QUERY_SET__ASSOCIATED_METAMODELS` The feature id for the 'Associated Metamodels' reference list.
`static int` | `MODEL_QUERY_SET__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `MODEL_QUERY_SET__IS_EDITABLE` The feature id for the 'Is Editable' attribute.
`static int` | `MODEL_QUERY_SET__NAME` The feature id for the 'Name' attribute.
`static int` | `MODEL_QUERY_SET__QUERIES` The feature id for the 'Queries' containment reference list.
`static int` | `MODEL_QUERY_SET_FEATURE_COUNT` The number of structural features of the 'Model Query Set' class.
`static int` | `OCL_MODEL_QUERY` The meta object id for the '`OCL Model Query`' class.
`static int` | `OCL_MODEL_QUERY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `OCL_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT` The feature id for the 'Is External Context Dependent' attribute.
`static int` | `OCL_MODEL_QUERY__LOWER_BOUND` The feature id for the 'Lower Bound' attribute.
`static int` | `OCL_MODEL_QUERY__MODEL_QUERY_SET` The feature id for the 'Model Query Set' container reference.
`static int` | `OCL_MODEL_QUERY__NAME` The feature id for the 'Name' attribute.
`static int` | `OCL_MODEL_QUERY__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` | `OCL_MODEL_QUERY__QUERY` The feature id for the 'Query' attribute.
`static int` | `OCL_MODEL_QUERY__RETURN_TYPE` The feature id for the 'Return Type' reference.
`static int` | `OCL_MODEL_QUERY__SCOPE` The feature id for the 'Scope' reference list.
`static int` | `OCL_MODEL_QUERY__UPPER_BOUND` The feature id for the 'Upper Bound' attribute.
`static int` | `OCL_MODEL_QUERY_FEATURE_COUNT` The number of structural features of the 'OCL Model Query' class.

Method Summary
`EAttribute` | `getJavaModelQuery_ImplementationClassName()` Returns the meta object for the attribute '`Implementation Class Name`'.
`EClass` | `getJavaModelQuery()` Returns the meta object for class '`Java Model Query`'.
`EAttribute` | `getModelQuery_Description()` Returns the meta object for the attribute '`Description`'.
`EAttribute` | `getModelQuery_IsExternalContextDependent()` Returns the meta object for the attribute '`Is External Context Dependent`'.
`EAttribute` | `getModelQuery_LowerBound()` Returns the meta object for the attribute '`Lower Bound`'.
`EReference` | `getModelQuery_ModelQuerySet()` Returns the meta object for the container reference '`Model Query Set`'.
`EAttribute` | `getModelQuery_Name()` Returns the meta object for the attribute '`Name`'.
`EReference` | `getModelQuery_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
`EReference` | `getModelQuery_ReturnType()` Returns the meta object for the reference '`Return Type`'.
`EReference` | `getModelQuery_Scope()` Returns the meta object for the reference list '`Scope`'.
`EAttribute` | `getModelQuery_UpperBound()` Returns the meta object for the attribute '`Upper Bound`'.
`EClass` | `getModelQuery()` Returns the meta object for class '`Model Query`'.
`EAttribute` | `getModelQueryParameter_LowerBound()` Returns the meta object for the attribute '`Lower Bound`'.
`EAttribute` | `getModelQueryParameter_Name()` Returns the meta object for the attribute '`Name`'.
`EReference` | `getModelQueryParameter_Type()` Returns the meta object for the reference '`Type`'.
`EAttribute` | `getModelQueryParameter_UpperBound()` Returns the meta object for the attribute '`Upper Bound`'.
`EClass` | `getModelQueryParameter()` Returns the meta object for class '`Model Query Parameter`'.
`EReference` | `getModelQuerySet_AssociatedMetamodels()` Returns the meta object for the reference list '`Associated Metamodels`'.
`EAttribute` | `getModelQuerySet_Description()` Returns the meta object for the attribute '`Description`'.
`EAttribute` | `getModelQuerySet_IsEditable()` Returns the meta object for the attribute '`Is Editable`'.
`EAttribute` | `getModelQuerySet_Name()` Returns the meta object for the attribute '`Name`'.
`EReference` | `getModelQuerySet_Queries()` Returns the meta object for the containment reference list '`Queries`'.
`EClass` | `getModelQuerySet()` Returns the meta object for class '`Model Query Set`'.
`EAttribute` | `getOCLModelQuery_Query()` Returns the meta object for the attribute '`Query`'.
`EClass` | `getOCLModelQuery()` Returns the meta object for class '`OCL Model Query`'.
`QueryFactory` | `getQueryFactory()` Returns the factory that creates the instances of the model.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final QueryPackage eINSTANCE

  The singleton instance of the package.

### MODEL_QUERY_SET

    static final int MODEL_QUERY_SET

  The meta object id for the '`Model Query Set`' class.

  See Also:
    `ModelQuerySetImpl`, `QueryPackageImpl.getModelQuerySet()`, Constant Field Values

### MODEL_QUERY_SET__ASSOCIATED_METAMODELS

    static final int MODEL_QUERY_SET__ASSOCIATED_METAMODELS

  The feature id for the 'Associated Metamodels' reference list.

  See Also:
    Constant Field Values

### MODEL_QUERY_SET__NAME

    static final int MODEL_QUERY_SET__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_SET__IS_EDITABLE

    static final int MODEL_QUERY_SET__IS_EDITABLE

  The feature id for the 'Is Editable' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_SET__DESCRIPTION

    static final int MODEL_QUERY_SET__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_SET__QUERIES

    static final int MODEL_QUERY_SET__QUERIES

  The feature id for the 'Queries' containment reference list.

  See Also:
    Constant Field Values

### MODEL_QUERY_SET_FEATURE_COUNT

    static final int MODEL_QUERY_SET_FEATURE_COUNT

  The number of structural features of the 'Model Query Set' class.

  See Also:
    Constant Field Values

### MODEL_QUERY

    static final int MODEL_QUERY

  The meta object id for the '`Model Query`' class.

  See Also:
    `ModelQueryImpl`, `QueryPackageImpl.getModelQuery()`, Constant Field Values

### MODEL_QUERY__NAME

    static final int MODEL_QUERY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY__DESCRIPTION

    static final int MODEL_QUERY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY__RETURN_TYPE

    static final int MODEL_QUERY__RETURN_TYPE

  The feature id for the 'Return Type' reference.

  See Also:
    Constant Field Values

### MODEL_QUERY__SCOPE

    static final int MODEL_QUERY__SCOPE

  The feature id for the 'Scope' reference list.

  See Also:
    Constant Field Values

### MODEL_QUERY__MODEL_QUERY_SET

    static final int MODEL_QUERY__MODEL_QUERY_SET

  The feature id for the 'Model Query Set' container reference.

  See Also:
    Constant Field Values

### MODEL_QUERY__PARAMETERS

    static final int MODEL_QUERY__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

    static final int MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

  The feature id for the 'Is External Context Dependent' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY__UPPER_BOUND

    static final int MODEL_QUERY__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY__LOWER_BOUND

    static final int MODEL_QUERY__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_FEATURE_COUNT

    static final int MODEL_QUERY_FEATURE_COUNT

  The number of structural features of the 'Model Query' class.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY

    static final int JAVA_MODEL_QUERY

  The meta object id for the '`Java Model Query`' class.

  See Also:
    `JavaModelQueryImpl`, `QueryPackageImpl.getJavaModelQuery()`, Constant Field Values

### JAVA_MODEL_QUERY__NAME

    static final int JAVA_MODEL_QUERY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__DESCRIPTION

    static final int JAVA_MODEL_QUERY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__RETURN_TYPE

    static final int JAVA_MODEL_QUERY__RETURN_TYPE

  The feature id for the 'Return Type' reference.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__SCOPE

    static final int JAVA_MODEL_QUERY__SCOPE

  The feature id for the 'Scope' reference list.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__MODEL_QUERY_SET

    static final int JAVA_MODEL_QUERY__MODEL_QUERY_SET

  The feature id for the 'Model Query Set' container reference.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__PARAMETERS

    static final int JAVA_MODEL_QUERY__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

    static final int JAVA_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

  The feature id for the 'Is External Context Dependent' attribute.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__UPPER_BOUND

    static final int JAVA_MODEL_QUERY__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__LOWER_BOUND

    static final int JAVA_MODEL_QUERY__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY__IMPLEMENTATION_CLASS_NAME

    static final int JAVA_MODEL_QUERY__IMPLEMENTATION_CLASS_NAME

  The feature id for the 'Implementation Class Name' attribute.

  See Also:
    Constant Field Values

### JAVA_MODEL_QUERY_FEATURE_COUNT

    static final int JAVA_MODEL_QUERY_FEATURE_COUNT

  The number of structural features of the 'Java Model Query' class.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER

    static final int MODEL_QUERY_PARAMETER

  The meta object id for the '`Model Query Parameter`' class.

  See Also:
    `ModelQueryParameterImpl`, `QueryPackageImpl.getModelQueryParameter()`, Constant Field Values

### MODEL_QUERY_PARAMETER__NAME

    static final int MODEL_QUERY_PARAMETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER__TYPE

    static final int MODEL_QUERY_PARAMETER__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER__UPPER_BOUND

    static final int MODEL_QUERY_PARAMETER__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER__LOWER_BOUND

    static final int MODEL_QUERY_PARAMETER__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER_FEATURE_COUNT

    static final int MODEL_QUERY_PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Model Query Parameter' class.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY

    static final int OCL_MODEL_QUERY

  The meta object id for the '`OCL Model Query`' class.

  See Also:
    `OCLModelQueryImpl`, `QueryPackageImpl.getOCLModelQuery()`, Constant Field Values

### OCL_MODEL_QUERY__NAME

    static final int OCL_MODEL_QUERY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__DESCRIPTION

    static final int OCL_MODEL_QUERY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__RETURN_TYPE

    static final int OCL_MODEL_QUERY__RETURN_TYPE

  The feature id for the 'Return Type' reference.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__SCOPE

    static final int OCL_MODEL_QUERY__SCOPE

  The feature id for the 'Scope' reference list.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__MODEL_QUERY_SET

    static final int OCL_MODEL_QUERY__MODEL_QUERY_SET

  The feature id for the 'Model Query Set' container reference.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__PARAMETERS

    static final int OCL_MODEL_QUERY__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

    static final int OCL_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

  The feature id for the 'Is External Context Dependent' attribute.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__UPPER_BOUND

    static final int OCL_MODEL_QUERY__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__LOWER_BOUND

    static final int OCL_MODEL_QUERY__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY__QUERY

    static final int OCL_MODEL_QUERY__QUERY

  The feature id for the 'Query' attribute.

  See Also:
    Constant Field Values

### OCL_MODEL_QUERY_FEATURE_COUNT

    static final int OCL_MODEL_QUERY_FEATURE_COUNT

  The number of structural features of the 'OCL Model Query' class.

  See Also:
    Constant Field Values

Method Detail

### getModelQuerySet

    EClass getModelQuerySet()

  Returns the meta object for class '`Model Query Set`'.

  Returns:
    the meta object for class 'Model Query Set'.
  See Also:
    `ModelQuerySet`

### getModelQuerySet_AssociatedMetamodels

    EReference getModelQuerySet_AssociatedMetamodels()

  Returns the meta object for the reference list '`Associated Metamodels`'.

  Returns:
    the meta object for the reference list 'Associated Metamodels'.
  See Also:
    `ModelQuerySet.getAssociatedMetamodels()`, `getModelQuerySet()`

### getModelQuerySet_Name

    EAttribute getModelQuerySet_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ModelQuerySet.getName()`, `getModelQuerySet()`

### getModelQuerySet_IsEditable

    EAttribute getModelQuerySet_IsEditable()

  Returns the meta object for the attribute '`Is Editable`'.

  Returns:
    the meta object for the attribute 'Is Editable'.
  See Also:
    `ModelQuerySet.isIsEditable()`, `getModelQuerySet()`

### getModelQuerySet_Description

    EAttribute getModelQuerySet_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `ModelQuerySet.getDescription()`, `getModelQuerySet()`

### getModelQuerySet_Queries

    EReference getModelQuerySet_Queries()

  Returns the meta object for the containment reference list '`Queries`'.

  Returns:
    the meta object for the containment reference list 'Queries'.
  See Also:
    `ModelQuerySet.getQueries()`, `getModelQuerySet()`

### getModelQuery

    EClass getModelQuery()

  Returns the meta object for class '`Model Query`'.

  Returns:
    the meta object for class 'Model Query'.
  See Also:
    `ModelQuery`

### getModelQuery_Name

    EAttribute getModelQuery_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ModelQuery.getName()`, `getModelQuery()`

### getModelQuery_Description

    EAttribute getModelQuery_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `ModelQuery.getDescription()`, `getModelQuery()`

### getModelQuery_ReturnType

    EReference getModelQuery_ReturnType()

  Returns the meta object for the reference '`Return Type`'.

  Returns:
    the meta object for the reference 'Return Type'.
  See Also:
    `ModelQuery.getReturnType()`, `getModelQuery()`

### getModelQuery_Scope

    EReference getModelQuery_Scope()

  Returns the meta object for the reference list '`Scope`'.

  Returns:
    the meta object for the reference list 'Scope'.
  See Also:
    `ModelQuery.getScope()`, `getModelQuery()`

### getModelQuery_ModelQuerySet

    EReference getModelQuery_ModelQuerySet()

  Returns the meta object for the container reference '`Model Query Set`'.

  Returns:
    the meta object for the container reference 'Model Query Set'.
  See Also:
    `ModelQuery.getModelQuerySet()`, `getModelQuery()`

### getModelQuery_Parameters

    EReference getModelQuery_Parameters()

  Returns the meta object for the containment reference list '`Parameters`'.

  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `ModelQuery.getParameters()`, `getModelQuery()`

### getModelQuery_IsExternalContextDependent

    EAttribute getModelQuery_IsExternalContextDependent()

  Returns the meta object for the attribute '`Is External Context Dependent`'.

  Returns:
    the meta object for the attribute 'Is External Context Dependent'.
  See Also:
    `ModelQuery.isIsExternalContextDependent()`, `getModelQuery()`

### getModelQuery_UpperBound

    EAttribute getModelQuery_UpperBound()

  Returns the meta object for the attribute '`Upper Bound`'.

  Returns:
    the meta object for the attribute 'Upper Bound'.
  See Also:
    `ModelQuery.getUpperBound()`, `getModelQuery()`

### getModelQuery_LowerBound

    EAttribute getModelQuery_LowerBound()

  Returns the meta object for the attribute '`Lower Bound`'.

  Returns:
    the meta object for the attribute 'Lower Bound'.
  See Also:
    `ModelQuery.getLowerBound()`, `getModelQuery()`

### getJavaModelQuery

    EClass getJavaModelQuery()

  Returns the meta object for class '`Java Model Query`'.

  Returns:
    the meta object for class 'Java Model Query'.
  See Also:
    `JavaModelQuery`

### getJavaModelQuery_ImplementationClassName

    EAttribute getJavaModelQuery_ImplementationClassName()

  Returns the meta object for the attribute '`Implementation Class Name`'.

  Returns:
    the meta object for the attribute 'Implementation Class Name'.
  See Also:
    `JavaModelQuery.getImplementationClassName()`, `getJavaModelQuery()`

### getModelQueryParameter

    EClass getModelQueryParameter()

  Returns the meta object for class '`Model Query Parameter`'.

  Returns:
    the meta object for class 'Model Query Parameter'.
  See Also:
    `ModelQueryParameter`

### getModelQueryParameter_Name

    EAttribute getModelQueryParameter_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ModelQueryParameter.getName()`, `getModelQueryParameter()`

### getModelQueryParameter_Type

    EReference getModelQueryParameter_Type()

  Returns the meta object for the reference '`Type`'.

  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `ModelQueryParameter.getType()`, `getModelQueryParameter()`

### getModelQueryParameter_UpperBound

    EAttribute getModelQueryParameter_UpperBound()

  Returns the meta object for the attribute '`Upper Bound`'.

  Returns:
    the meta object for the attribute 'Upper Bound'.
  See Also:
    `ModelQueryParameter.getUpperBound()`, `getModelQueryParameter()`

### getModelQueryParameter_LowerBound

    EAttribute getModelQueryParameter_LowerBound()

  Returns the meta object for the attribute '`Lower Bound`'.

  Returns:
    the meta object for the attribute 'Lower Bound'.
  See Also:
    `ModelQueryParameter.getLowerBound()`, `getModelQueryParameter()`

### getOCLModelQuery

    EClass getOCLModelQuery()

  Returns the meta object for class '`OCL Model Query`'.

  Returns:
    the meta object for class 'OCL Model Query'.
  See Also:
    `OCLModelQuery`

### getOCLModelQuery_Query

    EAttribute getOCLModelQuery_Query()

  Returns the meta object for the attribute '`Query`'.

  Returns:
    the meta object for the attribute 'Query'.
  See Also:
    `OCLModelQuery.getQuery()`, `getOCLModelQuery()`

### getQueryFactory

    QueryFactory getQueryFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD